Subject: Re: bug#77496: [PATCH] Add 'ns-app-badge' to set macOS / GNUstep icon badge

From: Ship Mints <[email-masked]>
Date: Sat, 5 Apr 2025 10:06:43 -0400

On Sat, Apr 5, 2025 at 9:58 AM Po Lu <[email-masked]> wrote:

> Ship Mints <[email-masked]> writes:
>
> > Eli asked that the hurdle to be cleared was support of the same feature
> > on a free platform.  If that hurdle is based on platform popularity, what
> > are the precise metrics we should use to gauge such?  I'm aware of
> > GNUstep being actively used in military, aerospace, and industrial
> > products.  Is Haiku?  Or any other esoteric platforms that Emacs
> > supports?
>
> The criteria is whether it tends to afford users of Emacs on proprietary
> systems an advantage over those of free systems.  There's no reason to
> insist that everything should be reduced to figures--Emacs on GNUstep is
> not a viable substitute for any other configuration, and hence everyone
> and his dog can see that features it might support are not material,
> when the only alternative is Mac OS.
>
> Haiku is free software and, above all, it is not being invoked to
> rationalize the introduction of features on a proprietary OS.  The
> question at issue is a world removed from whether to support an OS at
> all.  So I fail to perceive its relevance.
>

Are you willing to assist in figuring out how to get app badges working on
Linux desktop shells?  You have a lot of experience and I'd appreciate the
help.